summaryrefslogtreecommitdiff
path: root/regress/proxy-connect.sh
diff options
context:
space:
mode:
authordtucker@openbsd.org <dtucker@openbsd.org>2017-09-26 22:39:25 +0000
committerDamien Miller <djm@mindrot.org>2017-10-05 05:51:46 +1100
commit609ecc8e57eb88e2eac976bd3cae7f7889aaeff6 (patch)
treead87433a048dae5daaf88d436dc57cc515b511ca /regress/proxy-connect.sh
parent69bda0228861f3dacd4fb3d28b60ce9d103d254b (diff)
upstream commit
UsePrivilegeSeparation is gone, stop trying to test it. Upstream-Regress-ID: 796a5057cfd79456a20ea935cc53f6eb80ace191
Diffstat (limited to 'regress/proxy-connect.sh')
-rw-r--r--regress/proxy-connect.sh30
1 files changed, 12 insertions, 18 deletions
diff --git a/regress/proxy-connect.sh b/regress/proxy-connect.sh
index f1b9d9f7..39bbd3c9 100644
--- a/regress/proxy-connect.sh
+++ b/regress/proxy-connect.sh
@@ -1,25 +1,19 @@
-# $OpenBSD: proxy-connect.sh,v 1.10 2017/04/30 23:34:55 djm Exp $
+# $OpenBSD: proxy-connect.sh,v 1.11 2017/09/26 22:39:25 dtucker Exp $
# Placed in the Public Domain.
tid="proxy connect"
-mv $OBJ/sshd_proxy $OBJ/sshd_proxy.orig
-
-for ps in no yes; do
- cp $OBJ/sshd_proxy.orig $OBJ/sshd_proxy
- echo "UsePrivilegeSeparation $ps" >> $OBJ/sshd_proxy
- for c in no yes; do
- verbose "plain username privsep=$ps comp=$c"
- opts="-oCompression=$c -F $OBJ/ssh_proxy"
- SSH_CONNECTION=`${SSH} $opts 999.999.999.999 'echo $SSH_CONNECTION'`
- if [ $? -ne 0 ]; then
- fail "ssh proxyconnect privsep=$ps comp=$c failed"
- fi
- if [ "$SSH_CONNECTION" != "UNKNOWN 65535 UNKNOWN 65535" ]; then
- fail "bad SSH_CONNECTION privsep=$ps comp=$c: " \
- "$SSH_CONNECTION"
- fi
- done
+for c in no yes; do
+ verbose "plain username comp=$c"
+ opts="-oCompression=$c -F $OBJ/ssh_proxy"
+ SSH_CONNECTION=`${SSH} $opts 999.999.999.999 'echo $SSH_CONNECTION'`
+ if [ $? -ne 0 ]; then
+ fail "ssh proxyconnect comp=$c failed"
+ fi
+ if [ "$SSH_CONNECTION" != "UNKNOWN 65535 UNKNOWN 65535" ]; then
+ fail "bad SSH_CONNECTION comp=$c: " \
+ "$SSH_CONNECTION"
+ fi
done
verbose "username with style"